

# ListPositionConfigurations
<a name="API_ListPositionConfigurations"></a>

 *This action has been deprecated.* 

List position configurations for a given resource, such as positioning solvers.

**Important**  
This action is no longer supported. Calls to retrieve position information should use the [GetResourcePosition](https://docs.aws.amazon.com/iot-wireless/latest/apireference/API_GetResourcePosition.html) API operation instead.

## Request Syntax
<a name="API_ListPositionConfigurations_RequestSyntax"></a>

```
GET /position-configurations?maxResults=MaxResults&nextToken=NextToken&resourceType=ResourceType HTTP/1.1
```

## URI Request Parameters
<a name="API_ListPositionConfigurations_RequestParameters"></a>

The request uses the following URI parameters.

 ** [MaxResults](#API_ListPositionConfigurations_RequestSyntax) **   <a name="iotwireless-ListPositionConfigurations-request-uri-MaxResults"></a>
The maximum number of results to return in this operation.  
Valid Range: Minimum value of 0. Maximum value of 250.

 ** [NextToken](#API_ListPositionConfigurations_RequestSyntax) **   <a name="iotwireless-ListPositionConfigurations-request-uri-NextToken"></a>
To retrieve the next set of results, the `nextToken` value from a previous response; otherwise **null** to receive the first set of results.  
Length Constraints: Maximum length of 4096.

 ** [ResourceType](#API_ListPositionConfigurations_RequestSyntax) **   <a name="iotwireless-ListPositionConfigurations-request-uri-ResourceType"></a>
Resource type for which position configurations are listed.  
Valid Values: `WirelessDevice | WirelessGateway` 

## Request Body
<a name="API_ListPositionConfigurations_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListPositionConfigurations_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "NextToken": "string",
   "PositionConfigurationList": [ 
      { 
         "Destination": "string",
         "ResourceIdentifier": "string",
         "ResourceType": "string",
         "Solvers": { 
            "SemtechGnss": { 
               "Fec": "string",
               "Provider": "string",
               "Status": "string",
               "Type": "string"
            }
         }
      }
   ]
}
```

## Response Elements
<a name="API_ListPositionConfigurations_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [NextToken](#API_ListPositionConfigurations_ResponseSyntax) **   <a name="iotwireless-ListPositionConfigurations-response-NextToken"></a>
The token to use to get the next set of results, or **null** if there are no additional results.  
Type: String  
Length Constraints: Maximum length of 4096.

 ** [PositionConfigurationList](#API_ListPositionConfigurations_ResponseSyntax) **   <a name="iotwireless-ListPositionConfigurations-response-PositionConfigurationList"></a>
A list of position configurations.  
Type: Array of [PositionConfigurationItem](API_PositionConfigurationItem.md) objects

## Errors
<a name="API_ListPositionConfigurations_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
User does not have permission to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred while processing a request.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request was denied because it exceeded the allowed API request rate.  
HTTP Status Code: 429

 ** ValidationException **   
The input did not meet the specified constraints.  
HTTP Status Code: 400

## See Also
<a name="API_ListPositionConfigurations_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iotwireless-2025-11-06/ListPositionConfigurations) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iotwireless-2025-11-06/ListPositionConfigurations) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iotwireless-2025-11-06/ListPositionConfigurations) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iotwireless-2025-11-06/ListPositionConfigurations) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iotwireless-2025-11-06/ListPositionConfigurations) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iotwireless-2025-11-06/ListPositionConfigurations) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iotwireless-2025-11-06/ListPositionConfigurations) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iotwireless-2025-11-06/ListPositionConfigurations) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iotwireless-2025-11-06/ListPositionConfigurations) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iotwireless-2025-11-06/ListPositionConfigurations) 